## 提现

#### 1.提现账号列表

接口：/withdraw-account/list

接口说明：返回提现账号列表 

参数：

| 名称  | 类型  | 必须  | 说明|
| ------------ | ------------ | ------------ | ------------ |
| uid | int| 是|用户id |
| accessToken| string  | 是 | 用户登录token|

返回值
```json
{
    "code":0,
    "msg":"success",
    "data":[
            {
                "id":1,
                "account_name":"支付宝",
                "account":"sdfas***@163.com",
                "icon":"http://www.yidainling.com/asdfadsf.jpg",
                "remark":"工作日9-18点，到账时间：2小时内；休息日顺延至下一个工作日"
            }
            ...
        ]   
}

```



#### 2.提现账号添加

接口：/withdraw-account/add

接口说明：添加提现账号

参数：

| 名称  | 类型  | 必须  | 说明|
| ------------ | ------------ | ------------ | ------------ |
| uid | int| 是|用户id |
| accessToken| string  | 是 | 用户登录token|
| accountName| string  | 是 | 账户名|
|accountType|string  | 是 | 账户类型1.支付宝2.微信3.银行卡|
|account|string|是|账户|
|bankType|int|否|对应withdraw-account/bank-types 中的id,accountType为3时必传|

返回值
```json
{
    "code":0,
    "msg":"success",
    "data":[]
}
```

#### 3.提现账号编辑

接口：/withdraw-account/edit

参数：

| 名称  | 类型  | 必须  | 说明|
| ------------ | ------------ | ------------ | ------------ |
| uid | int| 是|用户id |
| accessToken| string  | 是 | 用户登录token|
| id| string  | 是 | 编辑的账户的id|
| accountName| string  | 是 | 账户名|
|accountType|string  | 是 | 账户类型1.支付宝2.微信3.银行卡|
|account|string|是|账户|
|bankType|int|否|对应withdraw-account/bank-types 中的id,accountType为3时必传|

返回值
```json
{
    "code":0,
    "msg":"success",
    "data":[]
}
```

#### 4.提现账号详情

接口：/withdraw-account/detail

参数：

| 名称  | 类型  | 必须  | 说明|
| ------------ | ------------ | ------------ | ------------ |
| uid | int| 是|用户id |
| accessToken| string  | 是 | 用户登录token|
| id| string  | 是 | 账户id|

返回值
```json
{
    "code":0,
    "msg":"success",
    "data":{
            "id":1,
            "account_name":"支付宝",
            "account":"sdfas***@163.com",
            "icon":"http://www.yidainling.com/asdfadsf.jpg",
            "remark":"工作日9-18点，到账时间：2小时内；休息日顺延至下一个工作日"
        }
}
```


#### 5.设置为默认提现账号

接口：/withdraw-account/default

接口说明：设置为默认提现账号

参数：

| 名称  | 类型  | 必须  | 说明|
| ------------ | ------------ | ------------ | ------------ |
| uid | int| 是|用户id |
| accessToken| string  | 是 | 用户登录token|
|id|int|是|要设置为默认提现账户的id|

返回值
```json
{
    "code":0,
    "msg":"success",
    "data":[]
}
```

#### 6.发送验证码
接口：/user/chk-code

接口说明：获取验证码

参数：

| 名称  | 类型  | 必须  | 说明|
| ------------ | ------------ | ------------ | ------------ |
|userName|string|是|手机号|
|smsAction|string|是|固定为withdraw|

返回值
```json
{
    "code":0,
    "msg":"success",
    "data":[]
}
```

#### 7.申请提现

接口：/withdraw/apply

接口说明：申请提现

参数：

| 名称  | 类型  | 必须  | 说明|
| ------------ | ------------ | ------------ | ------------ |
| uid | int| 是|用户id |
| accessToken| string  | 是 | 用户登录token|
|id|int|是|要设置为默认提现账户的id|
|money|int|是|提现金额|
|vcode|string|是|收到的验证码|

返回值
```json
{
    "code":0,
    "msg":"success",
    "data":[]
}
```

#### 8.支持的银行卡列表

接口：/withdraw-account/banks

接口说明：支持的银行卡列表

参数：

| 名称  | 类型  | 必须  | 说明|
| ------------ | ------------ | ------------ | ------------ |
| uid | int| 是|用户id |
| accessToken| string  | 是 | 用户登录token|

返回值
```json
{
    "code":0,
    "msg":"success",
    "data":[
        {
            "id":1,
            "bankName":"建设银行",
            "bankIcon":"http://www.yidianling.com/adfasdf.jpg"
        }
    ]
}
```

